local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Blacksmithing(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Blacksmithing")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

-- Introduction


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Blacksmithing is one of the easiest professions when getting into crafting. This profession alone can get you used to how multiple markets work and how to make gold with them along with being able to expand in it's variety of items it can produce.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Current Boes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Current Boe's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("First off we shall discuss a common theme within this book, this is Current Content Boe's. To be a bit more specific on this it is Armour. Crafted boe's in blacksmithing is always a go to when it comes to starting out with this profession. This is because it has moderate returns for your investments along with a reliable sell rate. As it is wise to craft mostly all current content items that are at a profit there are a few in which sell better than other these are, Helms, Shoulders, Boots and Breastplates. These ones you should be making to you top priority if you are having to start this on a shoe string budget to begin with.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The act of crafting is relatively the same when it comes to some professions like Blacksmithing and can provide  steady gold each and everyday, but remembering to restock everyday for Current Content crafting is a must to not only balance out the investments to return but also keeping a steady flow of gold with this and as such you will be winning with volume when it comes to this crafting strategy")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
 -- Crafted Transmog

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Transmog:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Blacksmithing is one of the stable three for crafted Transmog and is by far the top their if you are getting into this space. The keynote for this market is that you will be crafting old world items for a very cheap price and then selling those on for a higher return.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
   local desc = AceGUI:Create("Label")
  desc:SetText("Most notably this may take some initial leg work when getting start as you maybe able to make some of the moderate transmog but you will need to go a learn the higher value ones for the best returns. An example of this is the Sulfuron Hammer Plans. This can be obtained by going to Blackrock Depths and heading into the dungeon to make your way over to the Grim Guzzler. Here you will be talking to “Lokhtos Darkbargainer” he will provide you with a quest called “A Binding Contract”, this is where you will need to obtain an item called “Sulfuron Ingot” this can be obtained through the Raid Molten Core or purchased off of the Auction House ( The latter would be far easier ). once handed in you will be given the recipe to craft this Hammer.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("That is but one example of having to go out of your way to learn old school Transmog but typically Vanilla to Wrath high end Transmog sells the best out of most of the expansions and as such they should be your priority. Learning most of these may take some time and selling these may take a good while longer but rest assured the returns on crafted transmog is worth the wait if you are patient enough.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
 -- Weapons

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Weapons:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As a side note to Current content Boe's and Transmog is Weapons. Current Weapons sell typically well and should be focused on above most other crafts as the returns on average out weigh most other crafts to returns, but as for Transmog these take a good while of course to sell but have some of the best returns for Transmog thus far.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

-- Mounts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now there is only one Crafted Mount at this point in the game for this Profession and as such this is the Steel-Bound Harness Mount. This is a fairly easy mount to learn in regards to the recipe as it requires you to go into the Nighthold Raid in Legion on either Normal or Higher ( not LFR ) and slay the boss “Tichondrius”. He has a chance of dropping the recipe for you and should be able to drop this for any Blacksmith with the Legion Blacksmithing learned.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The following step for production of this mount is found in the Mounts part of this book but in a brief nutshell, the hardest thing for crafting and production of this mount is the gathering of the resource of “Bloods of Sargaras” which can be farmed in multiple ways. Although the crafting side of this mount is a little harder than most, this more than makes up for it in regards to its profit margins and sell rates as it typically has the best sell rate for most mounts even today, but of course this can change depending on server to server.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)     
  
 -- General Items

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125General Items:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As it stands, General Items with Blacksmithing include things like, Sharpening Stones, Shield Spikes, Stirrups and multiple others. In regards to selling these types of items it is wise to note that not all of these sell well. It is mainly either Current Expansion items or the previous expansion which perform the best when it comes to these types of items and these should be looked into on your server before crafting to sell these items.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
   local desc = AceGUI:Create("Label")
  desc:SetText("An easy way to judge if these a worth it for yourself is checking the profit margin against the Sell rate of the items in question this will give you a good indication whether or not it is a good idea to start crafting these item as they do tend to change on server to server. Another way is checking those metrics against the Daily Average Sold of these items to narrow the items down but alas, if this factor is slow for these items you are probably better served investing the extra gold into either the better return items like Boe's.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("As a side not all are bad one of these for instance sell rather well on most server and they are Stirrups. These are used mostly for farmers in the game and can use these getting around the area for a most ease of life. These are something to look into if you are getting into General Items for additional Gold with this profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
  
  
  
  
  
  











end